Bug 436612 - Review Request: avfs - A Virtual File System
Review Request: avfs - A Virtual File System
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 06:10 EST by Krzysztof Kurzawski
Modified: 2009-12-23 12:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-23 12:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kurzawski 2008-03-08 06:10:41 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/avfs/avfs.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/avfs/avfs-0.9.8-1.fc8.src.rpm
Description: AVFS is a system, which enables all programs to look inside gzip, tar, 
zip, etc. files or view remote (ftp, http, dav, etc.) files, without 
recompiling the programs.
Comment 1 Till Maas 2008-03-08 09:17:41 EST
There is a typo in the spec: "Dvelopment files." (missing e)
The %{_libdir}/libavfs.a is afaik a static library and must go into a -static
subpackage. Or it should not be packaged at all if it is likely that no other
package is going to use it.
Comment 2 Till Maas 2008-03-08 10:09:14 EST
Also it seems that the RPM_OPT_FLAGS are not honoured, using %configure instead
of ./configure --prefix=%{_prefix} \
--libdir=%{_libdir}

%configure already sets the parameters, that you pass to configure.
Comment 3 Peter Lemenkov 2008-08-23 04:06:45 EDT
404 whil trying to dl spec and srpm.
Comment 4 Jason Tibbitts 2008-11-05 11:13:43 EST
It's been quite some time without response to commentary and this has been set NEEDINFO for a couple of weeks now; I'm going to close this.
Comment 5 Lorenzo Villani 2009-12-20 18:09:35 EST
Since I am interested in packaging worker (avfs is one of its dependencies) I am reopening this.

SPEC URI: http://gitorious.org/lvillani/specs/trees/master/avfs
SRPM URI: http://fedorapeople.org/~arbiter/avfs/

Koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1882296

rpmlint output:
[lvillani@enterprise avfs (master)]$ rpmlint avfs.spec ../../srpms/avfs-0.9.8-1.fc12.src.rpm ../../rpms/x86_64/{avfs-0.9.8-1.fc12.x86_64.rpm,avfs-debuginfo-0.9.8-1.fc12.x86_64.rpm,avfs-devel-0.9.8-1.fc12.x86_64.rpm}
avfs-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

Notes: 'documentation' (license and readme files) is included in the main package.
Comment 6 Thomas Spura 2009-12-23 12:56:33 EST
Lorenzo, you should open your own review request and close this one as dublicate of your new request.

Note You need to log in before you can comment on or make changes to this bug.